#
# Conditional build:
%bcond_without	apidocs		# gtk-doc based API documentation
%bcond_without	vala		# Vala API
#
Summary:	Low-level configuration system
Summary(pl.UTF-8):	Niskopoziomowy system konfiguracji
Name:		dconf
Version:	0.40.0
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/dconf/0.40/%{name}-%{version}.tar.xz
# Source0-md5:	ac8db20b0d6b996d4bbbeb96463d01f0
URL:		https://wiki.gnome.org/Projects/dconf
BuildRequires:	bash-completion-devel >= 2.10
BuildRequires:	dbus-devel
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.47.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
# not needed atm., generated files (.deps, .vapi) are packaged in tarball
#%{?with_vala:BuildRequires:	vala >= 2:0.18.0}
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.44.0
Requires:	dbus
Requires:	glib2 >= 1:2.44.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dconf is a low-level configuration system. Its main purpose is to
provide a backend to GSettings on platforms that don't already have
configuration storage systems.

%description -l pl.UTF-8
dconf to niskopoziomowy system konfiguracji. Głównym celem jest
dostarczenie backendu dla GSettings na platformach, które jeszcze nie
mają systemów przechowywania danych konfiguracyjnych.

%package devel
Summary:	Header files for dconf library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki dconf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.44.0

%description devel
Header files for dconf library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki dconf.

%package apidocs
Summary:	dconf API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki dconf
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
API documentation for dconf library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki dconf.

%package -n bash-completion-dconf
Summary:	bash-completion for dconf
Summary(pl.UTF-8):	Bashowe uzupełnianie nazw dla dconf
Group:		Applications/Shells
Requires:	bash-completion >= 2.10
BuildArch:	noarch

%description -n bash-completion-dconf
bash-completion for dconf.

%description -n bash-completion-dconf -l pl.UTF-8
Bashowe uzupełnianie nazw dla dconf.

%package -n vala-dconf
Summary:	dconf API for Vala language
Summary(pl.UTF-8):	API dconf dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.18.0
BuildArch:	noarch

%description -n vala-dconf
dconf API for Vala language.

%description -n vala-dconf -l pl.UTF-8
API dconf dla języka Vala.

%prep
%setup -q

%build
%meson build \
	-Dgtk_doc=%{__true_false apidocs} \
	-Dsystemduserunitdir=%{systemduserunitdir}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/dconf/{db,profile}
install -d $RPM_BUILD_ROOT%{_datadir}/dconf/profile

%ninja_install -C build

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%glib_compile_schemas

%postun
/sbin/ldconfig

umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%glib_compile_schemas

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/dconf
%attr(755,root,root) %{_libdir}/libdconf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdconf.so.1
%attr(755,root,root) %{_libexecdir}/dconf-service
%attr(755,root,root) %{_libdir}/gio/modules/libdconfsettings.so
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{systemduserunitdir}/dconf.service
%dir %{_sysconfdir}/dconf
%dir %{_sysconfdir}/dconf/db
%dir %{_sysconfdir}/dconf/profile
%dir %{_datadir}/dconf
%dir %{_datadir}/dconf/profile
%{_mandir}/man1/dconf-service.1*
%{_mandir}/man1/dconf.1*
%{_mandir}/man7/dconf.7*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdconf.so
%{_includedir}/dconf
%{_pkgconfigdir}/dconf.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/dconf
%endif

%files -n bash-completion-dconf
%defattr(644,root,root,755)
%{bash_compdir}/dconf

%if %{with vala}
%files -n vala-dconf
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/dconf.deps
%{_datadir}/vala/vapi/dconf.vapi
%endif
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dconf.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 9ca28c8
- rebuild with separate debuginfo build-ids

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 544493c
- updated to 0.40.0
- dropped bash-completion patch, BR: bash-completion-devel instead

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 712154b
- unconditional noarch subpackages

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> b66952a
- updated to 0.38.0
- updated bash-completion patch

* Sun Apr 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 84b09c6
- BR update

* Thu Mar 12 2020 Jan Palus <atler@pld-linux.org> e8fdba6
- up to 0.36.0

* Tue Sep 10 2019 Jan Palus <atler@pld-linux.org> 2c669fc
- up to 0.34.0

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> b9972b4
- up to 0.32.0

* Wed Oct 31 2018 Jakub Bogusz <qboosh@pld-linux.org> 517c8d5
- added bash-completion patch (use explicit bash_compdir patch, don't buildrequire bash-completion package)

* Tue Oct 23 2018 Jan Palus <atler@pld-linux.org> c1a28f7
- up to 0.30.1

* Mon Oct 01 2018 Jan Palus <atler@pld-linux.org> 23dd441
- up to 0.30.0

* Sun Mar 25 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 2ea30ac
- Update to 0.28.0

* Sun Mar 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 156d798
- Update to 0.26.0

* Thu Mar 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 8420e76
- BR cleanup

* Tue Mar 24 2015 Marcin Banasiak <marcin.banasiak@gmail.com> faf3548
- Update to 0.24.0

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 49518a8
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c7befd5
- updated gettext BR

* Sat Oct 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 5602b9e
- updated vala version

* Sun Sep 28 2014 Łukasz Kieś <kiesiu@pld-linux.org> 6f3ef8c
- updated to 0.22.0

* Mon Mar 31 2014 Łukasz Kieś <kiesiu@pld-linux.org> 8b267a8
- include _datadir/dconf/profile dir; rel. 2

